Download it now!
Bug 59542 - VIEWING: +- Icons in LibO FILEOPEN dialog truncated at the bottom
Summary: VIEWING: +- Icons in LibO FILEOPEN dialog truncated at the bottom
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-18 06:30 UTC by Rainer Bielefeld Retired
Modified: 2013-11-13 14:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots with comments (75.72 KB, image/png)
2013-01-18 06:30 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-18 06:30:26 UTC
Created attachment 73230 [details]
Screenshots with comments

With (default) minimum height of the LibO Files dialog the +/- buttons to add or remove a folder become truncated at the bottom

Steps to reproduce:
1. Launch Libo
2. If necessary: Menu 'Tools -> Options -> LibO -> General ->
   Open/Save dialogs - check "Use LibO Dialogs" <ok>
3. Menu 'File -> Open
   dialog appears
4. Move mouse pointer to bottom of dialog, when pointer has 
   changed to "Drag and Drop View" drat bottom border of 
   dialog up as far as possible (minimum height)
5. finish file open action for an arbitrary document
6. Redo step 3
   Expected: +/- buttons below favourite pahts look fine
   Actual: +/- buttons truncated at the bottom

Current behavior:

Expected behavior:

              
Operating System: Windows 7
Version: 4.1.0.0.alpha0+ Master
Last worked in: 3.5.7.2 release
Comment 1 Rainer Bielefeld Retired 2013-01-22 05:47:36 UTC
@Joel:
What's with Linux? Same problem? All Desktops?
Comment 2 Joel Madero 2013-01-22 15:41:35 UTC
Just Windows :)
Comment 3 Commit Notification 2013-11-13 12:02:46 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28daf1af06b8c596bf7a88864456a0181f9cee19

fdo#59542 smaller +/- buttons will not be truncated at the bottom



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2013-11-13 14:18:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=224820c0786f64153c9018456dd5b5469bddfd3f&h=libreoffice-4-1

fdo#59542 smaller +/- buttons will not be truncated at the bottom


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.